#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define         srcname         oro
%include        /usr/lib/rpm/macros.java
Summary:	Full regular expressions API
Summary(pl.UTF-8):	Pełne API do wyrażeń regularnych
Name:		java-oro
Version:	2.0.8
Release:	5
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/jakarta/oro/jakarta-oro-%{version}.zip
# Source0-md5:	af58ac4811ee023b6211446eb7b7fff2
Patch0:		jakarta-oro-buildfix.patch
URL:		http://jakarta.apache.org/oro/
BuildRequires:	ant >= 1.5
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Obsoletes:	jakarta-oro
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (http://www.oroinc.com/). They have been
donated to the Jakarta Project by Daniel Savarese
(http://www.savarese.org/), the copyright holder of the ORO libraries.
Daniel will continue to participate in their development under the
Jakarta Project.

%description -l pl.UTF-8
Klasy Javy Jakarta-ORO to zestaw klas do przetwarzania tekstu
udostępniający wyrażenia regularne zgodne z Perlem 5, awkowe wyrażenia
regularne, wyrażenia glob oraz klasy narzędziowe do wykonywania
podstawień, podziałów, filtrowania nazw plików itp. Ta biblioteka jest
następcą bibliotek OROMatcher, AwkTools, PerlTools i TextTools firmy
ORO Inc. (http://www.oroinc.com/). Zostały podarowane projektowi
Jakarta przez Daniela Savarese (http://www.savarese.org/), właściciela
praw autorskich do bibliotek ORO. Daniel będzie nadal udzielał się
przy rozwoju tych bibliotek w projekcie Jakarta.

%package javadoc
Summary:	Jakarta-ORO API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Jakarta-ORO
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-oro-javadoc

%description javadoc
Jakarta-ORO API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API biblioteki Jakarta-ORO.

%prep
%setup -q -n jakarta-oro-%{version}
%patch0 -p1

%build
unset CLASSPATH || :

%ant clean
%ant -Dfinal.name=oro jar %{?with_javadoc:javadocs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{srcname}-%{version}}

cp oro.jar $RPM_BUILD_ROOT%{_javadir}/oro-%{version}.jar
ln -sf oro-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/oro.jar

cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE
%{_javadir}/oro-%{version}.jar
%{_javadir}/oro.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-oro.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 11acada
- avoid self-obsoletes; drop old provides

* Sat Feb 12 2011 sparky <sparky@pld-linux.org> 531fce1
- BR: rpm-javaprov

* Sat Feb 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 5c0dad2
- unified

* Sun May 16 2010 sparky <sparky@pld-linux.org> c78a4a6
- BR: unzip

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> 4a84a09
- Don't force specific jdk.

* Wed Apr 01 2009 pawelz <pawelz@pld-linux.org> efef8a5
- O/P old name
- rel 4

* Wed Apr 01 2009 pawelz <pawelz@pld-linux.org> f731b36
- fixed Source0, Patch0 and setup -n.
- builds now

* Wed Apr 01 2009 pawelz <pawelz@pld-linux.org> 44d6606
- renamed from jakarta-oro
- include java rpm macros
- jdk bconds

* Mon Mar 30 2009 pawelz <pawelz@pld-linux.org> 4d0f257
- G: Libraries/Java

* Thu Feb 12 2009 pawelz <pawelz@pld-linux.org> be04e48
- rel 3

* Thu Feb 12 2009 pawelz <pawelz@pld-linux.org> da63b1e
- killed EA
- use java-gcj-compat-devel (gjdoc needs Patch0)
- unified

* Thu Feb 12 2009 pawelz <pawelz@pld-linux.org> 6ca6f88
- small fix for gjdoc

* Thu Feb 12 2009 pawelz <pawelz@pld-linux.org> 2d89bf2
- fixes javadocs task

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d3216d8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fb4aacf
- converted to UTF-8

* Fri Dec 08 2006 Elan Ruusamäe <glen@pld-linux.org> 7a92ad1
- -javadoc R: jpackage-utils for parent dirs; rel 2

* Thu May 25 2006 Jacek Konieczny <jajcus@pld-linux.org> 7f55567
- BR: jdk, jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- API docs moved to %{_javadocdir} in a javadoc subpackage
- sanitize CLASSPATH and JAVA_HOME
- versioned jar

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 37c97fc
- s/jakarta-ant/ant/ in BR

* Mon Apr 12 2004 Marcin Kierus <marcin.kierus@gmail.com> ef30b9b
- updated to 2.0.8

* Tue Nov 11 2003 ankry <ankry@pld-linux.org> 8d85172
- caps unification, other cosmetics

